For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList apps
      • GETGet an app
      • PATCHUpdate an app
      • POSTCreate an app
      • DELDelete an app
      • GETGet constraints
      • POSTCreate constraint
      • GETGet constraint by ID
      • GETGet constraint versions
      • GETGet constraint version
      • PATCHUpdate constraint
      • DELDelete constraint
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceApps

Create an app

POST
https://api.x.flatfile.com/v1/apps
POST
/v1/apps
$curl -X POST https://api.x.flatfile.com/v1/apps \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Nightly Data Loads",
> "namespace": "nightly-data",
> "type": "CUSTOM",
> "entity": "Sync",
> "entityPlural": "Syncs",
> "icon": "<svg xmlns=\"http://www.w3.org/2000/svg\" fill=\"currentColor\" class=\"bi bi-bar-chart-fill\" viewBox=\"0 0 16 16\">\n <path d=\"M1 11a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1zm5-4a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v7a1 1 0 0 1-1 1H7a1 1 0 0 1-1-1zm5-5a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1z\"/>\n</svg>",
> "metadata": {
> "foo": "bar"
> }
>}'
200Example0
1{
2 "data": {
3 "id": "us_app_YOUR_ID",
4 "name": "Nightly Data Loads",
5 "namespace": "nightly-data",
6 "type": "CUSTOM",
7 "entity": "Sync",
8 "entityPlural": "Syncs",
9 "metadata": {
10 "foo": "bar"
11 },
12 "environmentFilters": {
13 "type": [
14 "PROD",
15 "DEV"
16 ],
17 "exclude_ids": [
18 "us_env_123456"
19 ]
20 },
21 "createdAt": "2023-10-30T16:59:45.735Z",
22 "updatedAt": "2023-10-30T16:59:45.735Z",
23 "icon": "<svg xmlns=\"http://www.w3.org/2000/svg\" fill=\"currentColor\" class=\"bi bi-bar-chart-fill\" viewBox=\"0 0 16 16\">\n <path d=\"M1 11a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v3a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1zm5-4a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v7a1 1 0 0 1-1 1H7a1 1 0 0 1-1-1zm5-5a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1h-2a1 1 0 0 1-1-1z\"/>\n</svg>",
24 "deletedAt": null,
25 "activatedAt": null
26 }
27}
Creates an app
Was this page helpful?
Previous

Delete an app

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
namestringRequired
namespacestringRequired
typeenumRequired
Allowed values:
entitystringOptional
entityPluralstringOptional
iconstringOptional
metadataanyOptional
environmentFiltersanyOptional
blueprintanyOptional

Response

This endpoint returns an object.
dataobject
An app